Sympa::Tools::Time(3Sympa)

NAME
Sympa::Tools::Time - Time-related functions

DESCRIPTION
This package provides some time-related functions.

  Functions

date_conv ( $arg )
    Function. TBD.

duration_conv ( $arg, [ $startdate ] )
    Function. TBD.

epoch_conv ( $arg )
    Function. Converts a human format date into an Unix time. TBD.

get_midnight_time ( $time )
    Function. Returns the Unix time corresponding to the last midnight before date given as argument.

gettimeofday ( )
    Function. Returns an array "(second, microsecond)" of current Unix time.

    If the system does not have gettimeofday(2) system call, this function emulates it.

HISTORY
Sympa::Tools::Time appeared on Sympa 6.2a.37.

gettimeofday() function was introduced on Sympa 6.2.10.